<div class="main-legend">
    <b class="legend-title" style="--bs-gutter-x: 0 !important;">Legend</b>
    <div class="row" style="--bs-gutter-x: 0 !important;">
        <div class="colored-bar">.
            <div class="col-md-6"><label><b>Ship</b></label></div>
            <div class="col-md-6"><label><b>Deliver</b></label></div>
        </div>
        <div style="display: flex;">
            <div class="col-md-6" style="display: flex;">
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: orange;"></span>
                    <span>Requested Ship Date</span>
                </div>
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: #00bcd4;"></span>
                    <span>Ship Not Before</span>
                </div>
                <div class="legend-item" style="">
                    <span class="legend-dot" style="background-color: #40409f;"></span>
                    <span>Ship Window</span>
                </div>
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: maroon;"></span>
                    <span>Ship No Later Than</span>
                </div>
            </div>
            <div class="col-md-6" style="display: flex;">
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: gray;">
                    </span>
                    <span>Delivery Requested By Date</span>
                </div>
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: gray;">
                    </span>
                    <span>Do Not Deliver Before</span>
                </div>
                <div class="legend-item">
                    <span class="legend-dot" style="background-color: #7a7aaf;"></span>
                    <span>Do Not Deliver After</span>
                </div>
            </div>
        </div>
    </div>
</div>